Bug 53868 - (MGA 400 AGP) Losing Red Hat kdm logo and/or virtual consoles
(MGA 400 AGP) Losing Red Hat kdm logo and/or virtual consoles
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
Blocks: 82777
  Show dependency treegraph
Reported: 2001-09-20 09:51 EDT by Michael Schwendt
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-13 00:59:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2001-09-20 09:51:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010913

Description of problem:
With regard to bug #53867, there are more problems. Not only is kdm's Red
Hat logo lost when switching back from virtual console to X Windows the
first time. It can also happen that the virtual consoles are "lost"
completely, giving either a black screen or cleary visible outlines of the
Red Hat logo on what doesn't look much like a text mode.

Version-Release number of selected component (if applicable):
XFree86-4.1.0-3 (and also Seawolf)

How reproducible:

Steps to Reproduce:
Case 1:

1. Start X and wait until kdm login screen comes up.
2. Press CTRL+ALT+F1 to switch to virtual console.
3. Return to X Windows (CTRL+ALT+F4 with my config).
4. Red Hat kdm logo is gone.

Case 2:
As described in bug #53867, but with regard to screen corruption, not only
keyboard focus but also both the virtual console's text mode and the Red
Hat logo may be lost. Additionally, coloured outlines of the Red Hat logo
may appear instead of the virtual console's text mode.

Actual Results:  kdm's Red Hat logo is gone AND/OR virtual console is
neither text mode nor appears to be usable anymore.

Expected Results:  Don't know about the Red Hat logo, but I don't think it
should vanish. Virtual console should be text mode, visible, and usable.

Additional info:

For system config details see bug #53866.

This happens also on updated and unalienated Seawolf (with XFree-4.0.3-*),
although not as easily reproducible. May take more tries (also see comments
of bug #51615).
Comment 1 Michael Schwendt 2001-10-16 10:23:52 EDT
Still the case with 4.1.0-4. 

While typing this in X, I have no fully working virtual consoles anymore. When I
switch to a VC, I get a black screen (graphics mode!) with hardly visible
outlines of the X display contents. E.g. when KDE starts, I see a couple of
pixels outlining the KDE logo. When KDE has started, I see pixels of a few
desktop icons in wrong colour. Most visibly is my XMMS icon which appears as a
light gray/green X. 

I can still log into these disabled VCs, typing "in the dark" without any echo
at all, but instructions being executed. Console "reset" doesn't help.
Comment 2 Michael Schwendt 2002-04-13 06:08:21 EDT
Got it a few minutes ago with XFree86-4.2.0-6.62 (Skipjack-beta2), trying to
switch to ALT+F1 while logging out of KDE.

I expected the first text mode console to appear, but the screen stayed black. I
then tried all other consoles, but only ALT+F8 returned the mouse cursor and
shortly after the kdm prompt. Switching back to ALT+F1 gave red outlines of the
Red Hat logo. All my virtual consoles are "gone". ALT+F[1-7] gives graphics mode
garbage. Small fragments of the KDE desktop are visible, in dark red colour with
a bit of green where the desktop icons are. I also see the title bar of the
Mozilla window I'm typing this report in.

I can log in blindly, so it is just a graphics<->text mode initialization
problem. A conflict between X server and virtual console.
Comment 3 Michael Schwendt 2004-03-13 00:59:22 EST
Filed 2001-09-20, I cannot reproduce it with Fedora Core 1 and haven't
encountered it for a long time either. Not worth keeping this open.
Comment 4 Mike A. Harris 2004-03-13 02:10:56 EST
Ok, thanks for the update Michael!

Note You need to log in before you can comment on or make changes to this bug.